export declare function stringToMaybeBoolean(value: string): boolean | undefined;
export interface IPreprocessorConfiguration {
    readonly stepDefinitions: string | string[];
    readonly messages?: {
        enabled: boolean;
        output?: string;
    };
    readonly json?: {
        enabled: boolean;
        formatter?: string;
        output?: string;
    };
    readonly filterSpecs?: boolean;
    readonly omitFiltered?: boolean;
}
export interface IEnvironmentOverrides {
    stepDefinitions?: string | string[];
    messagesEnabled?: boolean;
    messagesOutput?: string;
    jsonEnabled?: boolean;
    jsonFormatter?: string;
    jsonOutput?: string;
    filterSpecs?: boolean;
    omitFiltered?: boolean;
}
export declare class PreprocessorConfiguration implements IPreprocessorConfiguration {
    private explicitValues;
    private environmentOverrides;
    constructor(explicitValues: Partial<IPreprocessorConfiguration>, environmentOverrides: IEnvironmentOverrides);
    get stepDefinitions(): string | string[];
    get messages(): {
        enabled: boolean;
        output: string;
    };
    get json(): {
        enabled: boolean;
        formatter: string;
        output: string;
    };
    get filterSpecs(): boolean;
    get omitFiltered(): boolean;
}
export declare type ConfigurationFileResolver = (projectRoot: string) => any | Promise<any>;
export declare function resolve(projectRoot: string, environment: Record<string, unknown>, configurationFileResolver?: ConfigurationFileResolver): Promise<PreprocessorConfiguration>;
